## org.mortbay.jetty
Class HttpConnection.Output

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              org.mortbay.jetty.AbstractGenerator.Output
                  org.mortbay.jetty.HttpConnection.Output

All Implemented Interfaces:
  Closeable, Flushable

Enclosing class:
  HttpConnection

    public class HttpConnection.Output

extends AbstractGenerator.Output

Field Summary

Fields inherited from class org.mortbay.jetty.AbstractGenerator.Output
`_buf, _closed, _generator, _maxIdleTime`

Method Summary
`void` `close()`
`void` `flush()`
`void` `print(String s)`
`void` `sendContent(Object content)`
`void` `sendResponse(Buffer response)`

Methods inherited from class org.mortbay.jetty.AbstractGenerator.Output
`write, write, write`

Methods inherited from class javax.servlet.ServletOutputStream
`print, print, print, print, print, print, println, println, println, println, println, println, println, println`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `AbstractGenerator.Output`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `AbstractGenerator.Output`
  Throws:
    `IOException`

### print

    public void print(String s)
               throws IOException

  Overrides:
    `print` in class `AbstractGenerator.Output`
  Throws:
    `IOException`

### sendResponse

    public void sendResponse(Buffer response)
                      throws IOException

  Throws:
    `IOException`

### sendContent

    public void sendContent(Object content)
                     throws IOException

  Throws:
    `IOException`

Copyright © 1995-2008 Mort Bay Consulting. All Rights Reserved.